Linux 6.0.11/5.15.81/5.10.157发布

不念博客 12 月 3 日消息,Linux 核心开发者葛雷格・克罗哈曼(Greg Kroah-Hartman)今天发布了 Linux 6.0.11、 Linux 5.15.81 和 Linux 5.10.157 三大版本的维护更新。本次更新缓解了近期披露的 i915 驱动安全问题,从 Tigerlake 集成显卡到 DG2 / Alchemist Arc 的英特尔“Gen12”独显均受影响。

图片[1]-Linux 6.0.11/5.15.81/5.10.157发布-不念博客
Linux

不念博客了解到,本周早些时候发现的 CVE-2022-4139 漏洞是围绕着 GPU TLB flushing 的安全漏洞。在某些情况下(具有特定类型引擎的 Gen12 硬件),不会刷新引擎的 TLB。本地攻击者利用该漏洞可以在问题设备上提升权限,来执行任意代码。

不念博客了解到,seclists 页面显示该漏洞根据 GPU 是否在一个活跃的 IOMMU 后面运行,有两种可能的情况会发生:

  • 1. 没有 IOMMU – GPU 仍然可以访问物理内存,而这些物理内存可能已经被操作系统分配给不同的进程。
  • 2. 有 IOMMU – GPU 可以访问任何内存,如果恶意进程能够创建 / 重新使用必要的 IOMMU 映射。

红帽公司在 2022 年 11 月 30 日发布的公告中说:“在 Linux 内核的 GPU i915 内核驱动中发现了一个不正确的 TLB 刷新问题,可能会导致随机内存损坏或数据泄露。这个漏洞可能允许本地用户崩溃系统或提升他们在系统上的权限”。

所有英特尔集显和独显 Gen12 都受到影响,包括 Tiger Lake, Rocket Lake, Alder Lake, DG1, Raptor Lake, DG2, Arctic Sound, Meteor Lake。

在今天发布的 Linux 6.0.11, Linux 5.15.81 和 Linux 5.10.157 更新日志中写道:“drm / i915:修复 Gen12 视频和计算引擎的 TLB 失效问题”。

© 版权声明
THE END
喜欢就支持一下吧
点赞134赞赏 分享
评论 抢沙发
头像
欢迎光临不念博客,留下您的想法和建议,祝您有愉快的一天~
提交
头像

昵称

取消
昵称

    暂无评论内容